Skip to main content
GET
/
ad_campaigns
List ad campaigns
curl --request GET \
  --url https://api.whop.com/api/v1/ad_campaigns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "adcamp_xxxxxxxxxxx",
      "title": "<string>",
      "status": "active",
      "target_country_codes": [
        "<string>"
      ],
      "daily_budget": 6.9,
      "platform": "meta",
      "available_budget": 6.9,
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "paused_until": "2023-12-01T05:00:00.401Z",
      "clicks_count": 42,
      "impressions_count": 42,
      "purchases_count": 42,
      "remaining_balance": 6.9,
      "revenue": 6.9,
      "return_on_ad_spend": 6.9,
      "todays_spend": 6.9,
      "total_credits": 6.9,
      "total_spend": 6.9,
      "product": {
        "id": "prod_xxxxxxxxxxxxx",
        "title": "Pickaxe Analytics",
        "route": "pickaxe-analytics"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list ad campaigns for.

Example:

"biz_xxxxxxxxxxxxxx"

status
enum<string> | null

Filter ad campaigns by their current status (e.g., active, paused, completed).

Available options:
active,
paused,
inactive,
stale
created_before
string<date-time> | null

Only return ad campaigns created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return ad campaigns created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for AdCampaign.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.